Bug 1346761 - org.h2.jdbc.JdbcSQLException: The database has been closed [NEEDINFO]
Summary: org.h2.jdbc.JdbcSQLException: The database has been closed
Keywords:
Status: NEW
Alias: None
Product: RHQ Project
Classification: Other
Component: Database
Version: 4.13
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: ---
: ---
Assignee: Nobody
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-15 10:07 UTC by sana
Modified: 2020-04-27 01:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed:
safoora.sana: needinfo?


Attachments (Terms of Use)
Agent Log (639.67 KB, application/x-gzip)
2016-06-15 10:07 UTC, sana
no flags Details

Description sana 2016-06-15 10:07:11 UTC
Created attachment 1168301 [details]
Agent Log

Description of problem:
In the agent.log there are continuous Exceptions as "Database has been closed "  and its not able to query the database where as when connected through H2 console, i am able to query the results successfully.I suppose the connection of H2 DB was lost.
When i restarted the rhq-agent there were no exceptions.It was normal.


Following is the stack trace:
2016-06-01 17:44:47,983 ERROR [ResourceContainer.invoker.daemon-2] (itpf.monitoring.ddc.datastore.DatastoreImplementation)- Unable to get byte count for metric: svc-1-impexpserv_TOR_os position: 1 directory: 010616
org.h2.jdbc.JdbcSQLException: The database has been closed [90098-187]
        at org.h2.message.DbException.getJdbcSQLException(DbException.java:345)
        at org.h2.message.DbException.get(DbException.java:179)
        at org.h2.message.DbException.get(DbException.java:155)
        at org.h2.message.DbException.get(DbException.java:144)
        at org.h2.engine.Database.checkPowerOff(Database.java:496)
        at org.h2.command.Command.executeQuery(Command.java:221)
        at org.h2.jdbc.JdbcStatement.executeQuery(JdbcStatement.java:79)
        at com.ericsson.oss.itpf.monitoring.ddc.datastore.DatastoreImplementation.getBiteCount(DatastoreImplementation.java:40)
        at com.ericsson.oss.itpf.monitoring.ddc.parsing.instr.InstrMeasurementProvider.getLatestMeasurements(InstrMeasurementProvider.java:51)
        at com.ericsson.oss.itpf.monitoring.plugins.instr.InstrApplicationComponent.getValues(InstrApplicationComponent.java:71)
        at sun.reflect.GeneratedMethodAccessor53.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:606)
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocation.call(ResourceContainer.java:759)
        at java.util.concurrent.FutureTask.run(FutureTask.java:262)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
        at java.lang.Thread.run(Thread.java:745)
2016-06-01 17:44:48,915 ERROR [ResourceContainer.invoker.daemon-2] (itpf.monitoring.ddc.datastore.DatastoreImplementation)- Unable to set byte count for metric: svc-1-impexpserv_TOR_com.ericsson.oss.services.cm.cmreader.ejb.instrumentation.cm-reader:type=InstrumentatedBean position: 15 directory: 010616
org.h2.jdbc.JdbcSQLException: The database has been closed [90098-187]
        at org.h2.message.DbException.getJdbcSQLException(DbException.java:345)
        at org.h2.message.DbException.get(DbException.java:179)
        at org.h2.message.DbException.get(DbException.java:155)
        at org.h2.message.DbException.get(DbException.java:144)
        at org.h2.engine.Database.checkPowerOff(Database.java:496)
        at org.h2.command.Command.executeQuery(Command.java:221)
        at org.h2.jdbc.JdbcStatement.executeQuery(JdbcStatement.java:79)
        at com.ericsson.oss.itpf.monitoring.ddc.datastore.DatastoreImplementation.setBiteCount(DatastoreImplementation.java:53)
        at com.ericsson.oss.itpf.monitoring.ddc.parsing.instr.InstrMeasurementProvider.getLatestMeasurements(InstrMeasurementProvider.java:80)
        at com.ericsson.oss.itpf.monitoring.plugins.instr.InstrApplicationComponent.getValues(InstrApplicationComponent.java:71)
        at sun.reflect.GeneratedMethodAccessor53.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:606)
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocation.call(ResourceContainer.java:759)
        at java.util.concurrent.FutureTask.run(FutureTask.java:262)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
        at java.lang.Thread.run(Thread.java:745)

Even if this is not affecting any functionality it should be fixed because it compromise the troubleshooting analysis becase all the logs are filled up with this exceptions and important messages can be lost.
Beside that the logs files keeps increasing unnecessarily. 


Version-Release number of selected component (if applicable):
H2 JAR Version -  h2-1.4.187.jar

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.